.docker-image-build:
  image:
    name: gcr.io/kaniko-project/executor:debug-v0.15.0
    entrypoint: [""]
  stage: build-docker-images
  except:
    - schedules
  retry: 2
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"},\"https://index.docker.io/v2/\":{\"auth\":\"$DOCKER_HUB_CREDENTIALS\"}}}" > /kaniko/.docker/config.json
    - MINOR_VERSION=${VERSION%-rc}
    - FULL_VERSION=$([[ -e "$CI_PROJECT_DIR/specs/${VERSION}/${VARIANT}/VERSION" ]] && cat $CI_PROJECT_DIR/specs/${VERSION}/${VARIANT}/VERSION || echo "${MINOR_VERSION}")
    - /kaniko/executor --force --cache=true --cache-repo $CI_REGISTRY_IMAGE/ansible-cache --dockerfile Dockerfile --context $CI_PROJECT_DIR/specs/${VERSION}/${VARIANT} --destination $CI_REGISTRY_IMAGE/ansible:${MINOR_VERSION} --destination $CI_REGISTRY_IMAGE/ansible:${FULL_VERSION} --destination juitde/ansible:${MINOR_VERSION} --destination juitde/ansible:${FULL_VERSION}
